0

I have made an update of the plugins and themes and now it throws me this warning.

Warning: call_user_func_array() expects parameter 1 to be a valid callback, function 'wpss_social_addtoany_js' not found or invalid function name in /home/html/wp-includes/class-wp-hook.php on line 286

0

Ok, so you’ve updated the plugins and themes and the error shows up.

This error means that you try to use function that no longer is defined.

Most probably it was defined in a plugin and the newer version changed its API. And your theme (or some other plugin) is still using the old API.

So how to fix that?

  • Download your code.
  • Search for occurrence of that function call and locate all of them.
  • If they’re located in your own code, modify it to use current API.
  • If they’re in third party code - notify their authors and wait for fixes or stop using them.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.